org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface FacetReference

All Superinterfaces:
  DerivedTypedElement, DocumentedElement, FacetElement

    public interface FacetReference
    extends DerivedTypedElement

A representation of the model object 'Facet Reference'. A FacetReference is a virtual reference added to all the eObjects which conform to the Facet owning the FacetReference.

The following features are supported:

- `FOpposite`

See Also:
  `EFacetPackage.getFacetReference()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`FacetReference` `getFOpposite()` Returns the value of the 'FOpposite' reference.
`void` `setFOpposite(FacetReference value)` Sets the value of the '`FOpposite`' reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DerivedTypedElement

`getOverride, getQuery, setOverride, setQuery`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.FacetElement

`getCategories`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### getFOpposite

    FacetReference getFOpposite()

Returns the value of the 'FOpposite' reference.

If the meaning of the 'FOpposite' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'FOpposite' reference.
Since:
  1.0
See Also:
  `setFOpposite(FacetReference)`, `EFacetPackage.getFacetReference_FOpposite()`
Generated:
Model:

#### setFOpposite

    void setFOpposite(FacetReference value)

Sets the value of the '`FOpposite`' reference.

Parameters:
  `value` - the new value of the 'FOpposite' reference.
Since:
  1.0
See Also:
  `getFOpposite()`
Generated: